/**
 * This file is part of the MedSafe application which is commercial software created by MedVision360 B.V.
 * The source code is proprietary and confidential.
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited.
 *
 * Copyright (c) by MedVision360 B.V. All rights reserved.
 *
 * For the application name: io.medrecord.medsafe
 */
import * as Core from '@angular/core';
import { DropdownBodyOptions, DropdownBodyItemConfig } from '../../models';
export declare class DropdownBodyComponent {
    itemsConfig: DropdownBodyItemConfig<Core.TemplateRef<any>>[];
    width: number;
    defaultItemHeight: number;
    isOpened: boolean;
    private readonly buttonModifierPrefix;
    private generateModifierKey;
    private readonly defaultOptions;
    preparedOptions: DropdownBodyOptions;
    set options(options: DropdownBodyOptions);
    get modifiers(): {
        [x: string]: boolean;
    };
    open(): void;
    close(): void;
    toggle(): void;
    onItemClick(item: any): void;
}
